# dmxcmap.c File Reference

`#include "dmx.h"`
`#include "dmxsync.h"`
`#include "dmxcmap.h"`
`#include "dmxvisual.h"`
`#include "micmap.h"`

## Functions

Bool | dmxBECreateColormap (ColormapPtr pColormap)
Bool | dmxCreateColormap (ColormapPtr pColormap)
Bool | dmxBEFreeColormap (ColormapPtr pColormap)
void | dmxDestroyColormap (ColormapPtr pColormap)
void | dmxInstallColormap (ColormapPtr pColormap)
void | dmxStoreColors (ColormapPtr pColormap, int ndef, xColorItem *pdef)
Bool | dmxCreateDefColormap (ScreenPtr pScreen)

## Detailed Description

Colormap support.

## Function Documentation

Bool dmxBECreateColormap | ( | ColormapPtr | pColormap | ) |

| Create pColormap on the back-end server.

Bool dmxBEFreeColormap | ( | ColormapPtr | pColormap | ) |

| Destroy pColormap on the back-end server.

Bool dmxCreateColormap | ( | ColormapPtr | pColormap | ) |

| Create colormap on back-end server associated with pColormap's screen.

Bool dmxCreateDefColormap | ( | ScreenPtr | pScreen | ) |

| Create the DMX server's default colormap.

void dmxDestroyColormap | ( | ColormapPtr | pColormap | ) |

| Destroy colormap on back-end server associated with pColormap's screen.

void dmxInstallColormap | ( | ColormapPtr | pColormap | ) |

| Install colormap on back-end server associated with pColormap's screen.

void dmxStoreColors | ( | ColormapPtr | pColormap,
|  | int | ndef,
|  | xColorItem * | pdef
| ) |

| Store colors in pColormap on back-end server associated with pColormap's screen.

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>